View Issue Details

IDProjectCategoryView StatusLast Update
0003586FreeCADBugpublic2018-09-10 18:02
Reporterickby Assigned Towmayer  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version0.18 
Target Version0.18Fixed in Version0.18 
Summary0003586: App test cases require Part module
DescriptionIf FreeCAD is build as base only (no modules except Test) the test cases cannot be run as the document test cases require the Part Module to be available. The Test file Document.py uses many Part module objects in the undo/redo testcases, just search for Part::
Steps To ReproduceBuild FreeCAD with GUI and only Test as Module. Run the Document.py self test. It will crash.
Additional InformationOS: Ubuntu 17.10
Word size of OS: 64-bit
Word size of FreeCAD: 64-bit
Version: 0.18.14575 (Git)
Build type: Debug
Branch: signals
Hash: e6c3ab4c819980f04bc6501e544fc3ee7b046478
Python version: 2.7.14
Qt version: 4.8.7
Coin version: 4.0.0a
OCC version: 7.1.0
Locale: German/Germany (de_DE)
TagsNo tags attached.

Activities

Issue History

Date Modified Username Field Change
2018-09-07 09:59 ickby New Issue
2018-09-09 12:33 Kunda1 Assigned To => wmayer
2018-09-09 12:33 Kunda1 Status new => assigned
2018-09-09 12:33 Kunda1 Target Version => 0.18
2018-09-09 12:33 Kunda1 Note Added: 0011703
2018-09-10 18:02 wmayer Status assigned => closed
2018-09-10 18:02 wmayer Resolution open => fixed
2018-09-10 18:02 wmayer Fixed in Version => 0.18
2018-09-10 18:02 wmayer Note Added: 0011707